/* yasep/gui-js/webring.js
  This file is distributed under terms of the Affero GPL v3 license or later, see http://yasep.org
 created mer. mai  2 11:19:43 CEST 2012

 This creates a window and imports a list of websites from an external .js file
 */

init_obj.push(webring={
  win: null,
  loaded:0,

  fill_window: function() {
    if (typeof sites != "object" && webring.loaded++<200) {
      webring.cont.innerHTML+=" .";
      setTimeout(webring.fill_window,100);
      return;
    }

    var i,j,h;

    if (typeof sites!="object")
      h="<pre>sites list failed to load\nCheck your adblocker or the URL";
    else {
      h='<h2>Homebuilt CPUs WebRing</h2>'
+'<center><button onclick="previous()">Previous</button>'
+'<button onclick="next()"    >Next</button>'
+'<button onclick="random()"  >Random</button><br>&nbsp;</center><b>Join the ring?</b>'
+'<div>The <i>Homebuilt CPUs WebRing</i> is maintained by David Brooks and dedicated to machines that'
+'<br>1. use a home-built CPU, not a bought one, and'
+'<br>2. have actually been built in hardware, not just simulated, etc.<p>If you wish to join the ring,'
+' use your browser to view <a href="http://members.iinet.net.au/~daveb/simplex/simplex.html#more">his page</a>\'s '
+' source, scroll to the bottom of the page, copy the code fragment between the "Start" and "End of WebRing" comments, and paste this code into'
+' your page. Once you\'ve done this, <a href="mailto:daveb@iinet.net.au"><b>Email David</b></a> mentioning your page\'s URL and he\'ll'
+' check it out and add it to the ring.</div><br><u>List of other sites in the ring :</u><pre>';

      for (i in sites) {
        j=sites[i];
        if (j && j.indexOf("yasep")==-1)
          h+='<a target="_blank" href="'+j+'">'+j+'</a>\n';
      }
    }
    webring.cont.innerHTML=h+'</pre>';

  },

  start: function() {
    if (webring.loaded==0) // incremented later so the code is loaded only once
      import_code("http://members.iinet.net.au/~daveb/simplex/webring.js",  function(){webring.loaded+=300} ); // Load the script
    (webring.cont=dcE("DIV")).innerHTML="loading";
    webring.fill_window();
    webring.win = ygwm.new_window(
       "Webring", null, webring.cont,
       450, 300, 30, 40, false, true, true, true, false,  "doc_vibu");
    return webring.win;
  },

  init_obj: function(){
    webring.menuItem=menu.subMenuItem(menu.list["Web"],["WebRing"], "webring");
  }
});
